1. Profiles
Graduation API
  • AI_API
    • API Root
      GET
    • API Health Status
      GET
    • Water Hyacinth Detection
      POST
    • Schemas
      • PredictionSchema
  • backend_API
    • Profiles
      • List profiles
        GET
      • Create profile
        POST
      • Update profile
        PATCH
      • Delete profile
        DELETE
    • Classification Runs
      • List classification runs
      • Create classification run
      • Update classification run
      • Delete classification run
    • Schemas
      • Profile
      • ProfileInput
      • ClassificationRun
      • ClassificationRunInput
Github Repo
  1. Profiles

List profiles

GET
/profiles
Last modified:2026-05-08 20:28:30
Maintainer:Not configured
Retrieve all user profiles from the database.
Returns:
Full name
Avatar URL
Creation timestamp
Update timestamp

Request

Authorization
API Key
Add parameter in header
apikey
Example:
apikey: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Profiles retrieved successfully
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://vejazwelilonndcsreop.supabase.co/rest/v1/profiles' \
--header 'apikey: <api-key>'
Response Response Example
[
    {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "full_name": "string",
        "avatar_url": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
]
Modified at 2026-05-08 20:28:30
Previous
PredictionSchema
Next
Create profile
Built with